Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 987717 - Review Request: perl-GraphViz2 - A wrapper for AT&T's Graphviz
Summary: Review Request: perl-GraphViz2 - A wrapper for AT&T's Graphviz
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 979653 979654 979656 979657 979660 979666 979668 1122050
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-07-24 01:20 UTC by Christopher Meng
Modified: 2018-06-18 06:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-18 06:58:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1592136 None None None Never

Internal Links: 1592136

Description Christopher Meng 2013-07-24 01:20:55 UTC
Spec URL: http://cicku.me/perl-GraphViz2.spec
SRPM URL: http://cicku.me/perl-GraphViz2-2.14-1.fc20.src.rpm
Description: This module provides a Perl interface to the amazing Graphviz, an open source 
graph visualization tool from AT&T.
Fedora Account System Username: cicku

Comment 1 Peter Oliver 2013-10-02 22:22:44 UTC
There's a newer upstream version of this module, 2.22, and version 2.14 is no-longer on CPAN proper.  Worth setting Source0 to "http://backpan.perl.org/authors/id/R/RS/RSAVAGE/GraphViz2-%{version}.tgz"?

Comment 2 Christopher Meng 2013-11-04 09:02:07 UTC
(In reply to Peter Oliver from comment #1)
> There's a newer upstream version of this module, 2.22, and version 2.14 is
> no-longer on CPAN proper.  Worth setting Source0 to
> "http://backpan.perl.org/authors/id/R/RS/RSAVAGE/GraphViz2-%{version}.tgz"?

Sorry for the late response, just saw it from SPAM...

Don't worry ;) I will update the URLs once all deps are resolved.

Comment 3 Petr Pisar 2014-02-25 13:28:39 UTC
Besides the spec file is not for current upstream version 2.27, it does not require /usr/bin/dot (graphviz), although the run() method executes it.

Comment 4 Christopher Meng 2014-02-25 13:30:57 UTC
(In reply to Petr Pisar from comment #3)
> Besides the spec file is not for current upstream version 2.27, it does not
> require /usr/bin/dot (graphviz), although the run() method executes it.

Cleanup soon, will finish it.

Comment 5 Lubomir Rintel 2014-04-28 12:54:00 UTC
What's the status of this? How is this different from perl-GraphViz (you my want to clarify that in %description).

Comment 6 Christopher Meng 2014-04-28 15:19:57 UTC
(In reply to Lubomir Rintel from comment #5)
> What's the status of this? How is this different from perl-GraphViz (you my
> want to clarify that in %description).

Good catch.

perl-G and perl-G2 are from the same author. perl-G is deprecated now:

http://search.cpan.org/dist/GraphViz/

You can take a deep look:

"Interface to AT&T's GraphViz. Deprecated. See GraphViz2"

That's why I packaged perl-G2. Last year I was trying to package many dependencies, then back to G2 itself I couldn't find any free time.

I will clean up my old reviews soon.

Comment 7 Christopher Meng 2014-07-13 04:31:21 UTC
New deps again.

perl(DBIx::Admin::TableInfo) with perl(Moo) + perl(Data::Dumper::Concise).

Comment 8 Christopher Meng 2014-07-13 04:43:05 UTC
Adding Upstream releases monitoring entries, with Blocks soon.

perl(Moo) and perl(Data::Dumper::Concise) are dated in the repo.

Comment 9 Petr Pisar 2014-07-22 07:53:02 UTC
(In reply to Christopher Meng from comment #0)
> Spec URL: http://cicku.me/perl-GraphViz2.spec

404 Not Found

Comment 10 Petr Pisar 2014-07-22 14:47:21 UTC
I submitted DBIx::Admin::TableInfo for review as bug #1122050.

Comment 11 Emmanuel Seyman 2018-06-17 17:09:51 UTC
Okay, folks.

I now need perl-Graphviz2 in Fedora (it's in the dependency chain of perl-Mojolicious-Plugin-DbicSchemaViewer). Given that the spec file is no longer available and that last comment on this bug is nearly 4 years old, I've decided to treat this review as abandoned.

I've opened bug #1592136 with my attempt at a package.


Note You need to log in before you can comment on or make changes to this bug.